
Figure - Bug #118165
【IOVDEV-29675】【内部】【VC1】【0095】【台架】【EE环境】【副屏】副屏企业微信进行语音通话时，
中控偶发可以唤醒使用HiPhi Go
2023-05-22 21:04 - CDTS_Test 吴诗雨

Status: CLOSED Start date: 2023-05-22

Priority: Normal Due date:

Assignee: CDTS_Test 吴诗雨 % Done: 100%

Category: AUDIO-FW Estimated time: 0.00 hour

Target version:

Need_Info: -- Found Version: 副屏：01.00.0095.c103  中控：03.02.0080.C101

Resolution: FIXED Degrated: No

Severity: Normal Verified Version: 0106

Reproducibility: Rarely Fixed Version:

Test Type: ST Root cause: 另外一种是使用media的流申请焦点，��导致没有触发和中控的焦点申请，这时中控焦点没有切换，��出现了可以唤醒HiPhiGo。

Description

【环境信息】EE环境

【问题出现时间】：20230522  10点27分（ 第159次开机）

【前提条件】：车机上电（KL30ON ，KL15 ON，已连接中控和功放，可正常输出声音）

1.副屏端登录企业微信

2.使用另一用户手机登录企业微信与副屏的企业微信进行语音通话

3.输入唤醒指令“HiPhi Go”

【实际结果】

中控端唤醒了HiPhi Go，可以语音控制副屏熄屏亮屏

【期望结果】

副屏企业微信的语音通话过程中不能使用中控的语音功能。

【备注】：

发生了一次，继续测试超过10次暂未复现。

车架号VIN：HRYTTESTVINMGM400

log地址：https://ofs.human-horizons.com/#/download/index/FrbCd3okvy4%3D

视频地址：https://ofs.human-horizons.com/#/download/index/Y03pJio0W5g%3D

【影响版本】：副屏：01.00.0095.c103  中控：03.02.0080.C101

【硬件版本号】：/

【是否能恢复】：

History

#1 - 2023-05-22 21:05 - CDTS_Test 吴诗雨

ftp://cdiot@192.168.87.46/Pre_figure/Test_Log/Bug_118165
#2 - 2023-05-23 16:05 - Multimedia组-RD3_TSCD 梁卿山

- Status changed from New to NEED_INFO

- Assignee changed from Multimedia组-RD3_TSCD 梁卿山 to CDTS_Test 吴诗雨

HI 诗雨

该问题复现的时间为10：27，

日志的时间最多到9点40，没法继续分析，请重新复现并抓取日志，谢谢！

#3 - 2023-05-25 18:09 - CDTS_Test 吴诗雨

已同步

#4 - 2023-05-26 18:24 - CDTS_Test 吴诗雨

- File 10点51分副屏语音通话，中控唤醒语音.mp4 added

- File 10点51分企业微信进行语音通话，中控依然可以唤醒语音.7z added

中控0082版本，副屏0100版本，中控log可从云端获取，附件为副屏log和视频10点51分企业微信进行语音通话，中控依然可以唤醒语音.7z 10点51分副屏语

音通话，中控唤醒语音.mp4

复现步骤：10点50分登录企业微信，10点51分进行语音通话，中控端可以唤醒语音

#5 - 2023-05-26 18:24 - CDTS_Test 吴诗雨

- Assignee changed from CDTS_Test 吴诗雨 to Multimedia组-RD3_TSCD 梁卿山

#6 - 2023-05-26 18:50 - Multimedia组-RD3_TSCD 梁卿山

- Status changed from NEED_INFO to RESOLVED

- Assignee changed from Multimedia组-RD3_TSCD 梁卿山 to CDTS_Test 吴诗雨

- Resolution changed from -- to FIXED

- Degrated changed from -- to No

- Root cause set to 另外一种是使用media的流申请焦点，

导致没有触发和中控的焦点申请，这时中控焦点没有切换，

出现了可以唤醒HiPhiGo。

HI 诗雨

根据日志分析：

该问题是企业微信特有，

企业微信拥有两种通话方式，一种会使用voice call流申请焦点，这种正常；

另外一种是使用media的流申请焦点，导致没有触发和中控的焦点申请，这时中控焦点没有切换，出现了可以唤醒HiPhiGo。

7492:05-26 10:51:20.272  1541  1992 I MediaFocusControl: requestAudioFocus() from uid/pid 10100/10543 AA=USAGE_MEDIA/CONTENT_TYPE_MUSIC

clientId=android.media.AudioManager@5cc5c20wcj$a@cd529d9 callingPack=com.tencent.wework req=1 flags=0x0 sdk=29 ★★★ 使用media申请焦点

7516:05-26 10:51:20.339  1541  1981 D AudioService.PlaybackActivityMonitor: idcm_af:requestAudioFocusToIDCM:

event=2(PLAYER_STATE_STARTED)apc =AudioPlaybackConfiguration piid:103 deviceId:0 type:android.media.MediaPlayer u/pid:10100/10543 state:idle

attr:AudioAttributes: usage=USAGE_VOICE_COMMUNICATION content=CONTENT_TYPE_MUSIC flags=0x800 tags= bundle=null sessionId:0

7518:05-26 10:51:20.339  1541  1981 D AudioService.PlaybackActivityMonitor: idcm_af:requestAudioFocusToIDCM: STREAM_VOICE_CALL, return true
该问题已经通过以下提交修复。

https://dev.thundercomm.com/gerrit/c/general/platform/frameworks/base/+/202854

使用5月26日后的版本进行验证。

#7 - 2023-06-01 16:13 - CD TEST-方永红

- Status changed from RESOLVED to VERIFIED

- % Done changed from 0 to 100

- Verified Version set to 0106

6.1

验证通过

#8 - 2023-06-01 16:14 - CD TEST-方永红

- Status changed from VERIFIED to CLOSED

Files

10点27分企业微信语音通话时还能唤醒中控语音.mp4 20.1 MB 2023-05-22 CDTS_Test 吴诗雨

10点51分副屏语音通话，中控唤醒语音.mp4 3.94 MB 2023-05-26 CDTS_Test 吴诗雨

10点51分企业微信进行语音通话，中控依然可以唤醒语音.7z 147 KB 2023-05-26 CDTS_Test 吴诗雨
